#!/bin/bash -x
# ------------------------------------------------------------
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
# ------------------------------------------------------------


# Starts an AWS cluster.
ansible-playbook -i "localhost," ansible/aws_start.yml

# Generates an Ansible inventory file and an AsterixDB configuration file.
temp=/tmp/asterixdb
inventory=$temp/inventory
conf=$temp/cc.conf
java -cp "../repo/*" org.apache.asterixdb.aws.ConfigGenerator $temp/nodes $inventory $conf

# Waits a while so that all instances are up and running.
# TODO(yingyi) pull the "status check" field of each instance.
sleep 90

# Installs asterixdb on all AWS instances.
export ANSIBLE_HOST_KEY_CHECKING=false
ansible-playbook -i $inventory ansible/instance_start.yml

